class AddProductStockToPSheetLines < ActiveRecord::Migration
  def change
    add_reference :p_sheet_lines, :p_product_stock, index: true, foreign_key: true
    add_column :p_sheet_lines, :archived_p_product_stock_id, :integer
    add_column :p_sheet_lines, :archived_p_size_id, :integer
    add_column :p_sheet_lines, :archived_p_color_id, :integer
    add_column :p_sheet_lines, :archived_code, :string
    add_column :p_sheet_lines, :archived_p_product_id, :integer
  end
end
